Trip
Get vehicle triplegs
Gets triplegs of the indicated vehicle. The triplegs are always ordered by their
ending timestamp, newest one first. Use a limit query parameter to bound
the number of trips returned.
A tripleg is a part of a trip (between two staypoints).
GET
/
vehicle
/
{vehicle_id}
/
tripleg
Get vehicle triplegs
curl --request GET \
--url https://ctechnology.io/api/v2.2/vehicle/{vehicle_id}/tripleg \
--header 'Authorization: <api-key>'import requests
url = "https://ctechnology.io/api/v2.2/vehicle/{vehicle_id}/tripleg"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://ctechnology.io/api/v2.2/vehicle/{vehicle_id}/tripleg', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"num_results": 123,
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
],
"offset": 123,
"limit": 123
},
"data": [
{
"id": "<string>",
"vehicle_id": "<string>",
"timestamp_start": "2023-11-07T05:31:56Z",
"timestamp_end": "2023-11-07T05:31:56Z",
"completed": true,
"valid": true,
"validation_score": 123,
"speed_max": 123,
"speed_avg": 123,
"distance_tot": 123,
"distance_tot_gps": 123,
"duration_tot": 123,
"duration_cruising": 123,
"battery_start_level_volt": 123,
"battery_end_level_volt": 123,
"name": "<string>",
"distance_tot_can": 123,
"distance_tot_odo": 123,
"fuel_start_level_pct": 123,
"fuel_start_level_lt": 123,
"fuel_most_recent_pct": 123,
"fuel_most_recent_vlt": 123,
"fuel_used_pct": 123,
"fuel_used_lt": 123,
"fuel_num_refueled": 123,
"fuel_refueled_pct": 123,
"fuel_refueled_lt": 123,
"fuel_avg_lt_per_100km": 123,
"start_energy_available_ah": 123,
"end_energy_available_ah": 123,
"continuous_energy_consumption_ah": 123,
"start_energy_available_wh": 123,
"end_energy_available_wh": 123,
"continuous_energy_consumption_wh": 123,
"start_energy_available_pct": 123,
"end_energy_available_pct": 123,
"continuous_energy_consumption_pct": 123,
"n2k_operation_hours_tot": 123,
"can_fuel_consumption_avg": 123,
"can_fuel_consumption_max": 123,
"can_fuel_consumption_tot": 123,
"can_rpm_max": 123,
"can_rpm_avg": 123
}
]
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}Authorizations
Note that the API key has to be sent as Token 123 where 123 is
the key you received after logging in or by creating on the developer
dashboard.
Path Parameters
ID of vehicle to get triplegs for.
Query Parameters
Up until when to get the trips.
The number of trips to return.
⌘I
Get vehicle triplegs

